Page MenuHomePhabricator

Write a first draft of a Employee Operations Manual for Discovery Analysts
Closed, ResolvedPublic10 Story Points

Description

The idea behind https://meta.wikimedia.org/wiki/Discovery/Analytics is to document all technical information, procedures, processes, and other knowledge that Discovery's Analysts should be aware of.

Ideally, the EOM should be thorough enough that if Discovery suddenly found itself without any analysts, the manual would provide sufficient guidance to a newly onboarded analyst.

Event Timeline

mpopov created this task.Feb 26 2016, 9:08 PM
mpopov removed a project: Epic.

Fortunately, I have some experience with this :P

Deskana added a subscriber: Deskana.Mar 1 2016, 9:11 PM

This is a bit of a large task with unclear acceptance criteria. If we're trying to get to the stage where a new analyst might never ask any questions, we'll never manage that! So where do we draw the line? We agreed that this is a potential concern, but not super pressing right now.

We decided that @mpopov would continue to work on this, and if he's finished by Thursday, then we just wouldn't worry about it. But we'll check in on Thursday to see if it needs further definition.

Deskana renamed this task from Write a Employee Operations Manual for Discovery Analysts to Write a first draft of a Employee Operations Manual for Discovery Analysts.Mar 1 2016, 9:13 PM
mpopov added a comment.Mar 3 2016, 6:20 PM

Done with first draft of https://meta.wikimedia.org/wiki/Discovery/Analytics and made some revisions to https://www.mediawiki.org/wiki/Wikimedia_Discovery/Team/Analyst_onboarding now waiting for review :)

@Ironholds: Please review? OH! Also: in the bullet point "Create a Wikitech account. Go to Preferences → OpenStack and include the public part of a newly-generated SSH key. Get Oliver to give you access to the relevant machines." Please explain :P

That is, explain to you what to do when I leave? You know the security/access groups? Add the new staffer to the groups for the shiny machines ;p

I dispute the idea there there are any circumstances where one-line conditionals are acceptable! *stamps foot*

mpopov added a comment.Mar 3 2016, 6:59 PM

I want to make sure I know where to give the new staffer access and which things to give them access to.

Well I've forgotten how to log into labs so I'll be no help there. @EBernhardson knows how this works and can describe it better than I.

umm, i don't know how to describe it. But if you just write "sign up to wikitech and ask ebernhardson to add you to discovery related projects" that will get the job done i think.

  1. We should note that you can install from gerrit with the GitHub mirrors
  2. I don't see much value in the expansive visualisation guidelines but that's probably just because I only use fivethirtynine!
Deskana closed this task as Resolved.Mar 28 2016, 10:27 PM